<?php
	global $item_tvs, $fullcontent_in,$show_image;

?>
<div class="item-tvs">
	<div class="extvs-arrow">
		<figure class="extvs-simple-sch">
			<h4><?php echo esc_html(date_i18n(get_option('time_format'),$item_tvs['_time_start'])).' - '.esc_html(date_i18n(get_option('time_format'),$item_tvs['_time_end'])); ?></h4>
			<h3><?php echo esc_html($item_tvs['_name']); ?></h3>
			<?php if (isset( $item_tvs['_subtitle']) && $item_tvs['_subtitle'] !='') {?>
				<span class="sub-tt"><?php echo esc_html($item_tvs['_subtitle']); ?></span>
			<?php } ?>
		</figure>
	</div>
	<?php if ($fullcontent_in == 'modal') {?>
	<div class="extvs-show-modal">
		<?php extvs_template_plugin('modal',1);?>
	</div>
	<?php }  else if ($fullcontent_in == 'collapse') {?>
	<div class="extvs-show-collapse">
		<?php extvs_template_plugin('collapse',1);?> 
	</div>
	<?php } ?>
</div>
