<?php
	global $item_tvs, $fullcontent_in,$show_image,$cr_pro;
?>

<div class="item-tvs <?php echo esc_attr( $cr_pro );?>">
	<div class="extvs-arrow">
		<figure class="extvs-simple-sch">
			<i class="extvs-arrow-down"></i>
			<div class="extvs-st2-image">
				<?php
				if ($show_image =='show' && isset( $item_tvs['_image']) && $item_tvs['_image'] !='') {
					echo extvs_image($item_tvs);
				}?>
			</div>
			<div class="extvs-st2-parent">
				<div class="extvs-st2-time"><span><?php echo esc_html(date_i18n(get_option('time_format'),$item_tvs['_time_start'])).' - '.esc_html(date_i18n(get_option('time_format'),$item_tvs['_time_end'])); ?></span></div>
				<div class="extvs-st2-info">
					<h3><?php echo esc_html($item_tvs['_name']); ?></h3>
					<?php if (isset( $item_tvs['_subtitle']) && $item_tvs['_subtitle'] !='') {?>
						<span class="sub-tt"><?php echo esc_html($item_tvs['_subtitle']); ?></span>
					<?php } ?>
					<?php if (isset( $item_tvs['_content']) && $item_tvs['_content'] !='') {?>
						<p><?php echo esc_html($item_tvs['_content']); ?></p>
					<?php } ?>
				</div>
			</div>
		</figure>
		<div class="extvs_clearfix"></div>
	</div>
	<?php if ($fullcontent_in == 'modal') {?>
	<div class="extvs-show-modal">
		<?php extvs_template_plugin('modal',1);?>
	</div>
	<?php } ?>
</div>