;(function($){
	'use strict';
	
	$(document).ready(function() {

		var ex_html_width;
		ex_html_width = $('html').width();
		$( window ).resize(function() {
			$('html').css("max-width","");

			ex_html_width = $('html').width();
			if ($(".extvs_modal.extvs-modal-active").css("display") =='block') {
				$('html').css("max-width",ex_html_width);
			}
		});

		$('.extvs-collapse .ex-parent-simple').on('click','.item-tvs', function(event) {
			event.preventDefault();    
			$(this).toggleClass('item-tvs-expand');
	    });
		$('.extvs-modal .ex-parent-simple, .extvs-modal .extvs-advance-parent').on('click','.item-tvs', function(event) {
			event.preventDefault();
			var $this_click = $(this);
			var data = $this_click.find('.extvs-show-modal').html();
			var image_url = $this_click.find('input[name=chanel_img]').val();
			if (data.includes("#chanel_image")) {
				data = data.replace("#chanel_image", image_url);
			}
			
			$("#extvs_modal").empty();
			$("#extvs_modal").append(data);
			$('html').css("max-width",ex_html_width);
	        $("html").fadeIn("slow", function() {
			    $(this).addClass('extvs-hidden-scroll');
			});
			$("#extvs_modal").css("display", "block");
			$("#extvs_modal").addClass('extvs-modal-active');
	    });

	    $(".extvs-collapse .extvs-advance-parent").on({
		    mouseenter: function () {
		        var $this_click = $(this);
		        var data = $this_click.find('.tvs-collapse-content').html();
				var image_url = $this_click.find('input[name=collapse_img]').val();
				if(image_url != undefined && image_url!=''){
					data = data.replace("#collapse_image", image_url);
				}
				$this_click.find('.tvs-collapse-content').empty();
				$this_click.find('.tvs-collapse-content').append(data);
			},
		    mouseleave: function () {
		        var $this_click = $(this);
		    }
		},'.item-tvs');
		function extvs_qtip($id){
			if($id==''){
				var $elm = '.ex-tvs-advance.extvs-collapse .item-tvs';
			}else{
				var $elm = '#'+$id+'.ex-tvs-advance.extvs-collapse .item-tvs';
			}
		    $($elm).each(function() {
				$(this).qtip({
					style: {
						tip: {
							corner: false,
							width: 12
						},
						classes: 'extvs-qtip'
					},
					content: {
						text: $(this).find('.extvs-show-collapse')
					},
					position: {
						target:'mouse',
						viewport: $('.extvs-advance-info'),
					},
				});
			});
		}
		extvs_qtip('');
		$(".ex-tvs-plug #extvs_modal").on("click", ".extvs_close",function(event){
	    	event.preventDefault();
	    	var $this = $(this);
	        $("#extvs_modal").css("display", "none");
			$('html').removeClass('extvs-hidden-scroll');
			$("#extvs_modal").removeClass('extvs-modal-active');
			$('html').css("max-width","");
	    });
		$('.ex-tvs-plug .extvs_modal').on('click', function (event) {
			if (event.target.className == 'extvs_modal extvs-modal-active') {
				event.preventDefault();
				$(this).css("display", "none");
				$('html').removeClass('extvs-hidden-scroll');
				$(this).removeClass('extvs-modal-active');
				$('html').css("max-width","");
			}
		});
		// Dropdown select chanel
		$('.extvs-dropdown').on('click', function () {
		        $(this).attr('tabindex', 1).focus();
		        $(this).toggleClass('extvs-active');
		        $(this).find('.extvs-dropdown-chanel').slideToggle(300);
		    });
		$('.extvs-dropdown').on('focusout', function () {
		    $(this).removeClass('extvs-active');
		    $(this).find('.extvs-dropdown-chanel').slideUp(300);
		});
		$('.extvs-dropdown .extvs-dropdown-chanel li').on('click', function (event) {
			event.preventDefault();
	    	var $this_click = $(this);
		    $(this).closest('.extvs-dropdown').find('span').text($(this).data('display'));
		    var id_parent = $this_click.closest(".ex-tvs-simple").attr('id');
		    
		    var date = $('#'+id_parent+' .extvs-date-day-at').data('date');
		    var chanel = $this_click.data('value');
		    $('#'+id_parent+' input[name=chanel_selected]').val(chanel);
		    extvs_simple_load(date,chanel,id_parent);
		});
		// End Dropdown

	    $('.ex-tvs-simple .ex-date-list-parent .extvs-date-day').on('click', function(event) {
	    	event.preventDefault();
	    	var $this_click = $(this);
	    	var id_parent = $this_click.closest(".ex-tvs-simple").attr('id');
	    	$('#'+id_parent).find('.extvs-date-day').removeClass('extvs-date-day-at');
	    	$this_click.addClass('extvs-date-day-at');
	    	
	    	var date = $this_click.data('date');
	    	var chanel = $('#'+id_parent+' input[name=chanel_selected]').val();
	    	extvs_simple_load(date,chanel,id_parent);
	    });

	    $('.ex-chanel-list .extvs-inline-select, .extvs-style3-chanel .extvs-inline-select').on('click', function(event) {
			event.preventDefault();
			var $this_click = $(this);
			var id_parent = $this_click.closest(".ex-tvs-simple").attr('id');
			$('#'+id_parent).find('.extvs-inline-select').removeClass('extvs-inline-at');
	    	$this_click.addClass('extvs-inline-at');
			var date = $('#'+id_parent+' .extvs-date-day-at').data('date');
	    	var chanel = $this_click.data('value');
	    	$('#'+id_parent+' input[name=chanel_selected]').val(chanel);
	    	extvs_simple_load(date,chanel,id_parent);
			return false;
		});

	    $('.ex-chanel-list select[name=extvs_channel]').on('change',function(event) {
			event.preventDefault();
			var $this_click = $(this);
			var id_parent = $this_click.closest(".ex-tvs-simple").attr('id');
			var date = $('#'+id_parent+' .extvs-date-day-at').data('date');
	    	var chanel = $this_click.val();
	    	$('#'+id_parent+' input[name=chanel_selected]').val(chanel);
	    	extvs_simple_load(date,chanel,id_parent);
			return false;
		});
	    function extvs_simple_load(date,chanel,id_crsc){
	    	if($('#'+id_crsc).hasClass('ex-loading')){return;}
	    	$('#'+id_crsc).addClass('ex-loading');
	    	var ajax_url  		= $('#'+id_crsc+' input[name=ajax_url]').val();
	    	var param_shortcode  		= $('#'+id_crsc+' input[name=param_shortcode]').val();
	    	var param = {
				action: 'extvs_get_schedule_simple',
				param_shortcode: param_shortcode,
				date: date,
				chanel: chanel,
			};
			$.ajax({
				type: "post",
				url: ajax_url,
				dataType: 'json',
				data: (param),
				success: function(data){
					if(data != '0')
					{
						var $showin = $('#'+id_crsc+' .ex-parent-simple');
						$($showin).fadeOut({
							duration:0,
							complete:function(){
								$( this ).empty();
							}
						});
						$showin.append(data.html).fadeIn();
						$('#'+id_crsc).removeClass('ex-loading');
					}else{}
				}
			});
	    }

	    //Advance load
	    $('.extvs-advance-date .extvs-addate-day').on('click', function(event) {
	    	event.preventDefault();
	    	var $this_click = $(this);
	    	var id_parent = $this_click.closest(".ex-tvs-advance").attr('id');
	    	$('#'+id_parent).find('.extvs-addate-day').removeClass('extvs-addate-day-at');
	    	$this_click.addClass('extvs-addate-day-at');
	    	
	    	var date = $this_click.data('date');
	    	$('#'+id_parent+' input[name=tvs_date_select]').val(date);
	    	extvs_advance_load(date,id_parent);
	    });

	    $('.ex-tvs-advance .ex-date-list-parent .extvs-date-day').on('click', function(event) {
	    	event.preventDefault();
	    	var $this_click = $(this);
	    	var id_parent = $this_click.closest(".ex-tvs-advance").attr('id');
	    	$('#'+id_parent).find('.extvs-date-day').removeClass('extvs-date-day-at');
	    	$this_click.addClass('extvs-date-day-at');
	    	
	    	var date = $this_click.data('date');
	    	$('#'+id_parent+' input[name=tvs_date_select]').val(date);
	    	extvs_advance_load(date,id_parent);
	    });

	    $('.ex-tvs-advance .extvs-ad-list-week .extvs-date-adweek').on('click', function(event) {
	    	event.preventDefault();
	    	var $this_click = $(this);
	    	var id_parent = $this_click.closest(".ex-tvs-advance").attr('id');
	    	$('#'+id_parent).find('.extvs-date-adweek').removeClass('extvs-ad-list-week-ac');
	    	$this_click.addClass('extvs-ad-list-week-ac');
	    	
	    	var date = $this_click.data('date');
	    	$('#'+id_parent+' input[name=tvs_date_select]').val(date);
	    	extvs_advance_load(date,id_parent);
	    });

	    function extvs_advance_load(date,id_crsc){
	    	if($('#'+id_crsc).hasClass('ex-loading')){return;}
	    	$('#'+id_crsc).addClass('ex-loading');
	    	var ajax_url  		= $('#'+id_crsc+' input[name=ajax_url]').val();
	    	var param_shortcode  		= $('#'+id_crsc+' input[name=param_shortcode]').val();
	    	var param = {
				action: 'extvs_get_schedule_advance',
				param_shortcode: param_shortcode,
				date: date,
			};
			$.ajax({
				type: "post",
				url: ajax_url,
				dataType: 'json',
				data: (param),
				success: function(data){
					if(data != '0')
					{
						var $showin = $('#'+id_crsc+' .extvs-advance-program');
						$($showin).fadeOut({
							duration:0,
							complete:function(){
								$( this ).empty();
							}
						});
						$showin.append(data.html).fadeIn();
						extvs_qtip(id_crsc);
						$('#'+id_crsc).removeClass('ex-loading');
					}else{}
				}
			});
	    }
	    // Date carousel
		jQuery('.ex-tvs-simple').each(function(){
			var $this = jQuery(this);
			var id =  $this.attr('id');
			var slidesshow =  $this.data('slidesshow');
			var slidesscroll =  $this.data('slidesscroll');
			if(slidesshow==''){ slidesshow = 7;}
			if (slidesscroll==''){ slidesscroll = 3;}
			var start_on =  $this.data('start_on') > 0 ? $this.data('start_on') : 5;
			var item_tablet =  $this.data('item_tablet') > 0 ? $this.data('item_tablet') : 3;
			var rtl_mode = $this.data('rtl');
			if($this.data('infinite')=='0'){
			  var infinite = 0;
			}else{
			  var infinite =  $this.data('infinite') == 'yes' || $this.data('infinite') == '1' ? true : false;
			}
			extvs_carousel('#'+id+' .ex-date-list',infinite,start_on,slidesshow,slidesscroll,item_tablet,rtl_mode);
		});
		extvs_scroll();
		function extvs_scroll(){
			jQuery('.ex-tvs-advance').each(function(){
				var $this = jQuery(this);
				var id_parent =  $this.attr('id');
				var array_time = $('#extvs_current_input').val().split(",");
				var hours = parseInt(array_time[0]);
				var minutes = parseInt(array_time[1]);
				var scroll = (hours*60 + minutes) * 4;
				if (scroll > 240) {
					scroll = scroll - 240;
				}
				var rtl_mode = $('#'+id_parent).data('rtl');
				if (rtl_mode == 'yes') {
					scroll = 5880 - scroll - 480;
					$('#'+id_parent+' .extvs-advance-detail').scrollLeft(scroll);
				}else{
					$('#'+id_parent+' .extvs-advance-detail').scrollLeft(scroll);
				}
			});
		}

		jQuery('.ex-tvs-advance').each(function(){
			var $this = jQuery(this);
			var id =  $this.attr('id');
			var slidesshow =  $this.data('slidesshow');
			var slidesscroll =  $this.data('slidesscroll');
			if(slidesshow=='' || slidesshow < 0){ slidesshow = 7;}
			if (slidesscroll=='' || slidesscroll < 0){ slidesscroll = 3;}
			var start_on =  $this.data('start_on') > 0 ? $this.data('start_on') : 5;
			var item_tablet =  $this.data('item_tablet') > 0 ? $this.data('item_tablet') : 3;
			var rtl_mode = $this.data('rtl');
			if($this.data('infinite')=='0'){
			  var infinite = 0;
			}else{
			  var infinite =  $this.data('infinite') == 'yes' || $this.data('infinite') == '1' ? true : false;
			}
			extvs_carousel('#'+id+' .ex-date-list',infinite,start_on,slidesshow,slidesscroll,item_tablet,rtl_mode);
		});

		function extvs_carousel(id_clas,infinite,start_on,slidesshow,slidesscroll,item_tablet,rtl_mode){
			$(id_clas).owlCarousel({
			    loop:false,
			    // margin:10,
			    nav:false,
			    dots: false,
			    center: true,
			    items:slidesshow,
			    startPosition:start_on,
			    rtl: rtl_mode =='yes' ? true : false,
			    // animateOut: 'fadeOut',
			    slideBy:slidesscroll,
			    responsive:{
			        0:{
			            items:1
			        },
			        600:{
			            items:item_tablet
			        },
			        1000:{
			            items:slidesshow
			        }
			    }
			});
			$(id_clas).on('changed.owl.carousel', function(event) {
		        var currentItem = event.item.index;
		        var total = event.item.count;
		        var id_parent = $(id_clas).closest(".ex-tvs-simple").attr('id');
		        if(currentItem == 0){
		        	$('#'+id_parent+' .extvs-prev-bt').addClass('disabled');
		        }else if(currentItem == (total -1)){
		        	$('#'+id_parent+' .extvs-next-bt').addClass('disabled');
		        }else{
		        	$('#'+id_parent+' .extvs-prev-bt').removeClass('disabled');
		        	$('#'+id_parent+' .extvs-next-bt').removeClass('disabled');
		        }
		        
		    });
		}

		jQuery('.extvs-prev-bt').on('click', function(event) {
			var $this = jQuery(this);
			var id_advance = $this.closest(".ex-tvs-advance").attr('id');
			if (id_advance != undefined) {
				var owl = $('#'+id_advance+' .ex-date-list');
				owl.trigger('prev.owl.carousel');
				return false;
			}
			var id_parent = $this.closest(".ex-tvs-simple").attr('id');
			var owl = $('#'+id_parent+' .ex-date-list');
			var rtl_mode =$('#'+id_parent).data('rtl');
			if (rtl_mode == 'yes') {
				owl.trigger('next.owl.carousel');
			}else{
				owl.trigger('prev.owl.carousel');
			}
			if ($('#'+id_parent).hasClass('ex-tvs-slide1')) {
				$('#'+id_parent+' .extvs-date-day.extvs-date-day-at').removeClass('extvs-date-day-at');
				$('#'+id_parent+' .ex-date-list .owl-stage .owl-item.active .extvs-date-day').addClass('extvs-date-day-at');
				var date = $('#'+id_parent+' .extvs-date-day.extvs-date-day-at').data('date');
		    	var chanel = $('#'+id_parent+' input[name=chanel_selected]').val();
		    	extvs_simple_load(date,chanel,id_parent);
			}
			return false;
		});
		jQuery('.extvs-next-bt').on('click', function(event) {
			var $this = jQuery(this);
			var id_advance = $this.closest(".ex-tvs-advance").attr('id');
			if (id_advance != undefined) {
				var owl = $('#'+id_advance+' .ex-date-list');
				owl.trigger('next.owl.carousel');
				return false;
			}
			var id_parent = $this.closest(".ex-tvs-simple").attr('id');
			var owl = $('#'+id_parent+' .ex-date-list');
			var rtl_mode =$('#'+id_parent).data('rtl');
			if (rtl_mode == 'yes') {
				owl.trigger('prev.owl.carousel');
			}else{
				owl.trigger('next.owl.carousel');
			}
			if ($('#'+id_parent).hasClass('ex-tvs-slide1')) {
				$('#'+id_parent+' .extvs-date-day.extvs-date-day-at').removeClass('extvs-date-day-at');
				$('#'+id_parent+' .ex-date-list .owl-stage .owl-item.active .extvs-date-day').addClass('extvs-date-day-at');
				var date = $('#'+id_parent+' .extvs-date-day.extvs-date-day-at').data('date');
		    	var chanel = $('#'+id_parent+' input[name=chanel_selected]').val();
		    	extvs_simple_load(date,chanel,id_parent);
			}
			return false;
		});
		

    });
    // sort table
}(jQuery));