;(function($){
	'use strict';
	$(document).ready(function() {
		if(jQuery("input[type=text]#extvs_date_filter").length>0){
			var date_fm = "dd/mm/yyyy";
			jQuery("input[type=text]#extvs_date_filter").extl_datepicker({
					"todayHighlight" : true,
					"startDate": "01/01/1000",
					"autoclose": true,
					"format":date_fm
			});
		}

		if(jQuery('.post-type-extvs_scbd .cmb2-metabox select[name="sc_type"]').length>0){
			var $val = jQuery('.post-type-extvs_scbd .cmb2-metabox select[name="sc_type"]').val();
			if($val==''){
				$val ='simple';
			}
			if($val =='simple'){
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="tooltip"]').attr('disabled','disabled');
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="collapse"]').removeAttr("disabled");
			}else{
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="tooltip"]').removeAttr("disabled");
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="collapse"]').attr('disabled','disabled');
				if (jQuery('.post-type-extvs_scbd select#style').val()=='3') {
					jQuery('.post-type-extvs_scbd').addClass('ex-none-slider')
				}else{
					jQuery('.post-type-extvs_scbd').removeClass('ex-none-slider')
				}
			}
			$('body').removeClass (function (index, className) {
				return (className.match (/(^|\s)ex-layout\S+/g) || []).join(' ');
			});
			$('body').addClass('ex-layout-'+$val);
		}

		/*-on change-*/
		jQuery('.post-type-extvs_scbd .cmb2-metabox select[name="sc_type"]').on('change',function() {
			var $this = $(this);
			var $val = $this.val();
			if($val==''){
				$val ='simple';
			}
			if($val =='simple'){
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="tooltip"]').attr('disabled','disabled');
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="collapse"]').removeAttr("disabled");
				if (jQuery('.post-type-extvs_scbd select#fullcontent_in option:checked').val()=='tooltip') {
					jQuery('.post-type-extvs_scbd select#fullcontent_in').val('collapse');
				}
				
			}else{
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="tooltip"]').removeAttr("disabled");
				jQuery('.post-type-extvs_scbd select#fullcontent_in option[value="collapse"]').attr('disabled','disabled');
				if (jQuery('.post-type-extvs_scbd select#fullcontent_in option:checked').val()=='collapse') {
					jQuery('.post-type-extvs_scbd select#fullcontent_in').val('tooltip');
				}
				if (jQuery('.post-type-extvs_scbd select#style').val()=='3') {
					jQuery('.post-type-extvs_scbd').addClass('ex-none-slider')
				}else{
					jQuery('.post-type-extvs_scbd').removeClass('ex-none-slider')
				}
				
			}
			$('body').removeClass (function (index, className) {
				return (className.match (/(^|\s)ex-layout\S+/g) || []).join(' ');
			});
			$('body').addClass('ex-layout-'+$val);
			
		});

		jQuery('.post-type-extvs_scbd .cmb2-metabox select[name="style"]').on('change',function() {
			var $this = $(this);
			var val = $this.val();
			var type = jQuery('.post-type-extvs_scbd .cmb2-metabox select[name="sc_type"]').val();
			if (val == '3' && type == 'advance') {
				jQuery('.post-type-extvs_scbd').addClass('ex-none-slider')
			}else{
				jQuery('.post-type-extvs_scbd').removeClass('ex-none-slider')
			}
		});

		jQuery('.post-type-extvs_schedule input#extvs_schedule_date').on('change paste keyup',function() {
			jQuery('#extvs_schedule_addition_data_repeat .cmb2-datepicker.hasDatepicker').val($(this).val());
		});
		jQuery('.cmb-add-row button').on('click',function() {
			var $val_d = jQuery('.post-type-extvs_schedule input#extvs_schedule_date').val();
			var $pre_time = jQuery('#extvs_schedule_addition_data_repeat .cmb-repeatable-grouping:nth-last-of-type(2) .exend_pro input.text-time').val();
			setTimeout(function(){ 
				jQuery('#extvs_schedule_addition_data_repeat .cmb2-datepicker.hasDatepicker').val($val_d);
				jQuery('#extvs_schedule_addition_data_repeat .cmb-repeatable-grouping:last  input.text-time').val($pre_time);
			}, 300);
			
		});


		jQuery('.post-type-extvs_schedule').on('change paste keyup','.extvs-add-cl input[name*="_programme_id"]',function() {
			var $this = $(this);
			$this.closest('.cmb-repeatable-grouping').addClass('ex-loading');
			var program_id = $this.val();
			var param = {
	   			action: 'extvs_admin_add_program',
	   			program_id: program_id,
	   		};
	   		$.ajax({
	   			type: "post",
	   			url: extvs_ajax.ajaxurl,
	   			dataType: 'json',
	   			data: (param),
	   			success: function(data){
	   				if(data!=0){
		   				var $parent = $this.closest('.cmb-field-list');
		   				$parent.find('input[name*="_name"]').val(data.name);
		   				$parent.find('input[name*="_subtitle"]').val(data.subtitle);
		   				$parent.find('textarea[name*="_content"]').val(data.content);
		   				$parent.find('input[name*="_image"]').val(data.image);
		   				$parent.find('input[name*="_image_id"]').val(data.image_id);
		   				$this.closest('.cmb-repeatable-grouping').removeClass('ex-loading');
		   			}
	   			}	
	   		});
		});

	});
}(jQuery));

(function(){
"use strict";
jQuery(document).ready(function($){
	if($('.cmb2-post-search-button').length || $('.cmb-type-post-search-text').length ){
		var SearchView = window.Backbone.View.extend({
			el         : '#find-posts',
			overlaySet : false,
			$overlay   : false,
			$idInput   : false,
			$checked   : false,

			events : {
				'keypress .find-box-search :input' : 'maybeStartSearch',
				'keyup #find-posts-input'  : 'escClose',
				'click #find-posts-submit' : 'selectPost',
				'click #find-posts-search' : 'send',
				'click #find-posts-close'  : 'close',
			},

			initialize: function() {
				this.$spinner  = this.$el.find( '.find-box-search .spinner' );
				this.$input    = this.$el.find( '#find-posts-input' );
				this.$response = this.$el.find( '#find-posts-response' );
				this.$overlay  = $( '.ui-find-overlay' );

				this.listenTo( this, 'open', this.open );
				this.listenTo( this, 'close', this.close );
			},

			escClose: function( evt ) {
				if ( evt.which && 27 === evt.which ) {
					this.close();
				}
			},

			close: function() {
				this.$overlay.hide();
				this.$el.hide();
			},

			open: function() {
				this.$response.html('');

				// WP, why you so dumb? (why isn't text in its own dom node?)
				this.$el.show().find( '#find-posts-head' ).html( this.findtxt + '<div id="find-posts-close"></div>' );

				this.$input.focus();

				if ( ! this.$overlay.length ) {
					$( 'body' ).append( '<div class="ui-find-overlay"></div>' );
					this.$overlay  = $( '.ui-find-overlay' );
				}

				this.$overlay.show();

				// Pull some results up by default
				this.send();

				return false;
			},

			maybeStartSearch: function( evt ) {
				if ( 13 == evt.which ) {
					this.send();
					return false;
				}
			},

			send: function() {

				var search = this;
				search.$spinner.addClass('is-active');

				$.ajax( ajaxurl, {
					type     : 'POST',
					dataType : 'json',
					data     : {
						ps               : search.$input.val(),
						action           : 'find_posts',
						cmb2_post_search : true,
						post_search_cpt  : search.posttype,
						_ajax_nonce      : $('#find-posts #_ajax_nonce').val()
					}
				}).always( function() {

					search.$spinner.removeClass('is-active');

				}).done( function( response ) {

					if ( ! response.success ) {
						search.$response.text( search.errortxt );
					}

					var data = response.data;

					if ( 'checkbox' === search.selecttype ) {
						data = data.replace( /type="radio"/gi, 'type="checkbox"' );
					}

					search.$response.html( data );

				}).fail( function() {
					search.$response.text( search.errortxt );
				});
			},

			selectPost: function( evt ) {
				evt.preventDefault();

				this.$checked = $( '#find-posts-response input[type="' + this.selecttype + '"]:checked' );

				var checked = this.$checked.map(function() { return this.value; }).get();

				if ( ! checked.length ) {
					this.close();
					return;
				}

				this.handleSelected( checked );
			},

			handleSelected: function( checked ) {
				checked = checked.join( ', ' );

				if ( 'add' === this.selectbehavior ) {
					var existing = this.$idInput.val();
					if ( existing ) {
						checked = existing + ', ' + checked;
					}
				}

				this.$idInput.val( checked ).trigger( 'change' );
				this.close();
			}

		});

		window.cmb2_post_search = new SearchView();

		window.cmb2_post_search.closeSearch = function() {
			window.cmb2_post_search.trigger( 'close' );
		};

		window.cmb2_post_search.openSearch = function( evt ) {
			var search = window.cmb2_post_search;

			search.$idInput = $( evt.currentTarget ).parents( '.cmb-type-post-search-text' ).find( '.cmb-td input[type="text"]' );
			// Setup our variables from the field data
			$.extend( search, search.$idInput.data( 'search' ) );

			search.trigger( 'open' );
		};

		window.cmb2_post_search.addSearchButtons = function() {
			var $this = $( this );
			var data = $this.data( 'search' );
			$this.after( '<div title="'+ data.findtxt +'" class="dashicons dashicons-search cmb2-post-search-button"></div>');
		};

		$( '.cmb-type-post-search-text .cmb-td input[type="text"]' ).each( window.cmb2_post_search.addSearchButtons );

		$( '.cmb2-wrap' ).on( 'click', '.cmb-type-post-search-text .cmb-td .dashicons-search', window.cmb2_post_search.openSearch );
		$( 'body' ).on( 'click', '.ui-find-overlay', window.cmb2_post_search.closeSearch );
	}

});
})(jQuery);