<?php
	global $item_tvs, $fullcontent_in,$show_image,$cr_pro;

?>

<tr class="<?php echo esc_attr( $cr_pro );?>">
	<td class="extvs-table1-image">
		<?php
		if ($show_image =='show' && isset( $item_tvs['_image']) && $item_tvs['_image'] !='') {
			echo extvs_image($item_tvs);
		}?>
	</td>
	<td class="extvs-table1-time"><span><?php echo esc_html(date_i18n(get_option('time_format'),$item_tvs['_time_start'])); ?></span></td>
	<td class="extvs-table1-programme">
		<div class="item-tvs">
			<div class="extvs-arrow">
				<figure class="extvs-simple-sch">
					<div class="extvs-st2-plus"><div class="extvs-icon-plus"></div></div>
					<h3><?php echo esc_html($item_tvs['_name']); ?></h3>
					<?php if (isset( $item_tvs['_subtitle']) && $item_tvs['_subtitle'] !='') {?>
						<span class="sub-tt"><?php echo esc_html($item_tvs['_subtitle']); ?></span>
					<?php } ?>
					<?php if (isset( $item_tvs['_content']) && $item_tvs['_content'] !='' && $fullcontent_in == 'collapse') {?>
						<p><?php echo esc_html($item_tvs['_content']); ?></p>
					<?php } ?>
				</figure>
			</div>
			<?php if ($fullcontent_in == 'modal') { ?>
			<div class="extvs-show-modal">
				<?php extvs_template_plugin('modal',1); ?>
			</div>
			<?php } ?>
		</div>
	</td>
</tr>