<?php
function extvs_shortcode_advance( $atts ) {
	if(phpversion()>=7){
		$atts = (array)$atts;
	}
	global $ID, $fullcontent_in, $show_image;
	$ID = isset($atts['ID']) && $atts['ID'] !=''? $atts['ID'] : 'ex-'.rand(10,9999);
	if(!isset($atts['ID'])){
		$atts['ID']= $ID;
	}
	$style = isset($atts['style']) && $atts['style'] !=''? $atts['style'] : '1';
	$posttype = 'extvs_schedule';
	$ids   = isset($atts['ids']) ? $atts['ids'] : '';
	$taxonomy  = isset($atts['taxonomy']) ? $atts['taxonomy'] : '';
	$chanel   = isset($atts['channel']) ? $atts['channel'] : '';
	$tag  = isset($atts['tag']) ? $atts['tag'] : '';
	$count   = isset($atts['count']) &&  $atts['count'] !=''? $atts['count'] : '';
	$posts_per_page   = isset($atts['posts_per_page']) && $atts['posts_per_page'] !=''? $atts['posts_per_page'] : '1';
	$order  = isset($atts['order']) ? $atts['order'] : '';
	$orderby  = isset($atts['orderby']) ? $atts['orderby'] : '';
	$meta_key  = isset($atts['meta_key']) ? $atts['meta_key'] : '';
	$meta_value  = isset($atts['meta_value']) ? $atts['meta_value'] : '';
	$slidesshow = isset($atts['slidesshow']) && $atts['slidesshow']!='' ? $atts['slidesshow'] : '7';
	if ($style == '1' && !isset($atts['slidesshow'])) {
		$slidesshow ='1';
	}
	$slidesscroll =  isset($atts['slidesscroll'])&& $atts['slidesscroll']!='' ? $atts['slidesscroll'] : '3';
	$start_on =  isset($atts['start_on'])&& $atts['start_on']!='' ? $atts['start_on'] : '5';
	$before_today =  isset($atts['before_today']) ? $atts['before_today'] : '5';
	$after_today =  isset($atts['after_today']) ? $atts['after_today'] : '10';
	$item_tablet = isset($atts['item_table']) && $atts['item_table']!='' ? $atts['item_table'] : '3';
	$infinite 		= isset($atts['infinite']) ? $atts['infinite'] : '';
	$fullcontent_in   = isset($atts['fullcontent_in']) ? $atts['fullcontent_in'] : 'tooltip';
	if($fullcontent_in=='tooltip'){ $fullcontent_in = 'collapse';}
	$show_image   = isset($atts['show_image']) ? $atts['show_image'] : 'show';
	if ($show_image != 'show') {
		$show_image = 'non';
	}
	$channel_display   = isset($atts['channel_display']) ? $atts['channel_display'] : 'all';
	$class  = isset($atts['class']) ? $atts['class'] : '';
	$paged = get_query_var('paged')?get_query_var('paged'):(get_query_var('page')?get_query_var('page'):1);
	$cure_time =  strtotime("now");
	$gmt_offset = get_option('gmt_offset');
	if($gmt_offset!=''){
		$cure_time = $cure_time + ($gmt_offset*3600);
	}
	$date = strtotime(date('Y-m-d', $cure_time));
	$meta_date = '';
	$meta_date = $date;
	$list_chanel = extvs_channel_advance_list($chanel);
	ob_start();
	$class = $class." ex-tvs-plug ";
	$class = $class." style-".$style;
	$class = $class." extvs-".$fullcontent_in;
	$class = $class." extvs-".$show_image."-image";
	$class = $class." extvs-channel-".$channel_display;
	$yr = date_i18n("Y", $date); 
	$mon = date_i18n("m", $date); 
	$date2 = date_i18n("d", $date);
	$start = mktime(0,0,0,$mon,$date2,$yr);
	$extvs_enable_rtl = extvs_get_option('extvs_enable_rtl');
	if($fullcontent_in == 'collapse'){
		wp_enqueue_style('qtip-css', EXTVS_PATH.'js/qtip/jquery.qtip.min.css');
		wp_enqueue_script( 'qtip-js',  EXTVS_PATH.'js/qtip/jquery.qtip.min.js' , array( 'jquery' ) , '1.0');
	}
	?>
	<div class="ex-tvs-advance <?php echo esc_attr($class);?>" id ="<?php echo esc_attr($ID);?>" data-slidesshow="<?php echo esc_attr($slidesshow)?>" data-slidesscroll="<?php echo esc_attr($slidesscroll)?>" data-rtl="<?php echo esc_attr($extvs_enable_rtl)?>"  data-start_on="<?php echo esc_attr($start_on)?>" data-item_tablet="<?php echo esc_attr($item_tablet)?>" data-infinite="<?php echo esc_attr($infinite);?>">
		<input type="hidden"  name="ajax_url" value="<?php echo esc_url(admin_url( 'admin-ajax.php' ));?>">
		<input type="hidden" id="param_shortcode" name="param_shortcode" value="<?php echo esc_html(str_replace('\/', '/', json_encode($atts)));?>">
		<input type="hidden"  name="tvs_date_select" value="<?php echo esc_attr($date);?>">
		<input type="hidden"  name="tvs_date_start" value="<?php echo esc_attr($start);?>">

		<div class="extvs-addate-parent">
			<?php extvs_advance_list_date($style,$before_today,$after_today);?>
		</div>
		<div class="extvs-advance-parent">
			<div class="extvs-advance-chanel">
				<?php 
					echo "<ul>";
					foreach ($list_chanel as $key => $value){?>
						<li data-value="<?php echo esc_attr($key); ?>">
							<span>
								<?php $term_image = get_term_meta($key, 'tvs_cn_img', true);
								if ($term_image != '' && $channel_display != 'name-only') { ?>
									<img src="<?php echo esc_url($term_image); ?>">
								<?php }
								?>
							</span>
							<?php if ($channel_display != 'image-only') { ?>
								<div class="extvs-chanel-name"><?php echo wp_kses_post($value); ?></div>
							<?php } ?>
							
						</li>
					<?php }
					echo "</ul>";
				?>
			</div>
			<div class="extvs-advance-info">
				<div class="extvs-advance-detail">
					<div class="extvs-advance-timeline">
							<?php extvs_timeline_html();?>
					</div>
					<div class="extvs-advance-program">
						<?php
						echo "<ul>";
							foreach ($list_chanel as $key => $value){
								$cats = $key;
								echo "<li>";
								$args = EX_WPTVS_query($posttype, $posts_per_page, $order, $orderby, $cats, $tag, 'extvs_channel', $meta_key, $ids,$meta_date, $meta_value);
								$the_query = new WP_Query( $args );
								global $item_tvs;
								if ($the_query->have_posts()){ 
									while ($the_query->have_posts()) { $the_query->the_post();
										$options = get_post_meta( get_the_ID(), 'extvs_schedule_addition_data', true );
										

										if(!empty($options)){
											foreach ($options as $item) {
												$item_tvs = $item;
												$time_start =$item['_time_start'];
												$time_end = $item['_time_end'];
												if ($time_start < 0 || $time_end < 0 || $time_start >= $time_end) {
													break;
												}
												$cr_pro = '';
												if(($cure_time >= $time_start) && ($cure_time <= $time_end)){
													$cr_pro = 'extvs-cr-progr';
												}
												$left = ($time_start - $start)/60;
												$left_pixel = $left * 4;
												$minutes = ($time_end - $time_start) / 60;
												if ($minutes < 0) {
													break;
												}
												$width = $minutes * 4;
												$class_add='';
												$hours_end= date('H', $time_end);
												$minutes_end = date('i', $time_end);
												if ($hours_end == 23 && $minutes_end == 59) {
													$class_add = ' extvs-pro-end';
													$width = $width + 4;
												}
												if ($extvs_enable_rtl == 'yes') {
													echo '<div class="extvs-pro-width'.esc_attr($class_add).' '.esc_attr($cr_pro).'" style="right:'.esc_attr($left_pixel).'px; width:'.esc_attr($width).'px">';
												}else{
													echo '<div class="extvs-pro-width'.esc_attr($class_add).' '.esc_attr($cr_pro).'" style="left:'.esc_attr($left_pixel).'px; width:'.esc_attr($width).'px">';
												}
												echo extvs_template_plugin('advance-1',1);

												echo '</div>';
												
											}
										}
										
									}
								}

								wp_reset_postdata();
								echo "</li>";
							}
							echo "</ul>";
						?>
					</div>
				</div>
			</div>
		</div>
		<?php 
		if ($fullcontent_in == 'modal') {
			if(!isset($tvs_modal_html) || $tvs_modal_html!='on'){
				$tvs_modal_html = 'on';
				echo "<div id='extvs_modal' class='extvs_modal'></div>";
			}
		}
		if(!isset($tvs_input_current) || $tvs_input_current!='on'){
			$tvs_input_current = 'on'; 
			$h1= date('H',$cure_time);
			$m1 = date('i',$cure_time);
			?>
			<input type="hidden" id="extvs_current_input" name="extvs_current_input" value="<?php echo esc_attr($h1.','.$m1);?>">
		<?php }
		?>
	</div>
	<?php
	wp_reset_postdata();
	$output_string = ob_get_contents();
	ob_end_clean();
	return $output_string;
}
add_shortcode( 'ex_tvs_advance', 'extvs_shortcode_advance' );
add_action( 'after_setup_theme', 'ex_food_reg_tvs_advance_vc' );
function ex_food_reg_tvs_advance_vc(){
    if(function_exists('vc_map')){
	vc_map( array(
	   "name" => esc_html__("TV Schedule - Advance", "tv-schedule"),
	   "base" => "ex_tvs_advance",
	   "class" => "",
	   "icon" => "icon-grid",
	   "controls" => "full",
	   "category" => 'tv-schedule',
	   "params" => array(
		   array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Style", 'tv-schedule'),
			 "param_name" => "style",
			 "value" => array(
				esc_html__('List of date', 'tv-schedule') => '1',
				esc_html__('Slider date', 'tv-schedule') => '2',
				esc_html__('List of day', 'tv-schedule') => '3',
			 ),
			 "description" => esc_html__('Select style', 'tv-schedule')
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Channel", "tv-schedule"),
			"param_name" => "channel",
			"value" => "",
			"description" => esc_html__("Input channel", 'tvs-schedule'),
		  ),
		  array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Channel Display", 'tv-schedule'),
			 "param_name" => "channel_display",
			 "value" => array(
				esc_html__('All(name and image)', 'tv-schedule') => 'all',
				esc_html__('Image only', 'tv-schedule') => 'image-only',
				esc_html__('Name only', 'tv-schedule') => 'name-only',
			 ),
			 "description" => esc_html__('Select type to show channel', 'tv-schedule')
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number of date before today to show", "tv-schedule"),
			"param_name" => "before_today",
			"value" => "",
			"description" => esc_html__("Enter Number, ex: 3", 'tv-schedule'),
			"dependency" 	=> array(
				'element' => 'style',
				'value'   => array('1','2'),
			 ),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number of date after today to show", "tv-schedule"),
			"param_name" => "after_today",
			"value" => "",
			"description" => esc_html__("Enter Number, ex: 7", 'tv-schedule'),
			"dependency" 	=> array(
				'element' => 'style',
				'value'   => array('1','2'),
			 ),
		  ),
		  array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Order", 'tv-schedule'),
			 "param_name" => "order",
			 "value" => array(
			 	esc_html__('DESC', 'tv-schedule') => 'DESC',
				esc_html__('ASC', 'tv-schedule') => 'ASC',
			 ),
			 "description" => ''
		  ),
		  array(
		  	 "admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Order by", 'tvs-schedule'),
			 "param_name" => "orderby",
			 "value" => array(
			 	esc_html__('Date', 'tv-schedule') => 'date',
				esc_html__('ID', 'tv-schedule') => 'ID',
				esc_html__('Author', 'tv-schedule') => 'author',
			 	esc_html__('Title', 'tv-schedule') => 'title',
				esc_html__('Name', 'tv-schedule') => 'name',
				esc_html__('Modified', 'tv-schedule') => 'modified',
			 	esc_html__('Parent', 'tv-schedule') => 'parent',
				esc_html__('Random', 'tv-schedule') => 'rand',
				esc_html__('Menu order', 'tv-schedule') => 'menu_order',
				esc_html__('Meta value', 'tv-schedule') => 'meta_value',
				esc_html__('Meta value num', 'tv-schedule') => 'meta_value_num',
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => ''
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Meta key", "tv-schedule"),
			"param_name" => "meta_key",
			"value" => "",
			"description" => esc_html__("Enter meta key to query", "tv-schedule"),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Meta value", "tv-schedule"),
			"param_name" => "meta_value",
			"value" => "",
			"description" => esc_html__("Enter meta value to query", "tv-schedule"),
		  ),
		  array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Full content", 'tv-schedule'),
			 "param_name" => "fullcontent_in",
			 "value" => array(
				esc_html__('Tooltip', 'tv-schedule') => 'tooltip',
				esc_html__('Modal', 'tv-schedule') => 'modal',
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => esc_html__('Select type of Full content', 'tv-schedule')
		  ),
		   array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Show image", 'tv-schedule'),
			 "param_name" => "show_image",
			 "value" => array(
				esc_html__('Show', 'tv-schedule') => 'show',
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => esc_html__('Select Show image', 'tv-schedule')
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number date visible in slider", "tv-schedule"),
			"param_name" => "slidesshow",
			"value" => "",
			"description" => esc_html__("Number of date visible at a time, only work with style 2", 'tv-schedule'),
			"dependency" 	=> array(
				'element' => 'style',
				'value'   => array('2'),
			 ),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number date to scroll", "tv-schedule"),
			"param_name" => "slidesscroll",
			"value" => "",
			"description" => esc_html__("Number of date to scroll at a time, only work with style 2", 'tv-schedule'),
			"dependency" 	=> array(
				'element' => 'style',
				'value'   => array('2'),
			 ),
		  ),
	   )
	));
	}
}