<?php
function extvs_shortcode_simple( $atts ) {
	if(phpversion()>=7){
		$atts = (array)$atts;
	}
	global $ID, $fullcontent_in, $show_image;
	$ID = isset($atts['ID']) && $atts['ID'] !=''? $atts['ID'] : 'ex-'.rand(10,9999);
	if(!isset($atts['ID'])){
		$atts['ID']= $ID;
	}
	$style = isset($atts['style']) && $atts['style'] !=''? $atts['style'] : '1';
	$posttype = 'extvs_schedule';
	$ids   = isset($atts['ids']) ? $atts['ids'] : '';
	$taxonomy  = isset($atts['taxonomy']) ? $atts['taxonomy'] : '';
	$chanel   = isset($atts['channel']) ? $atts['channel'] : '';
	$tag  = isset($atts['tag']) ? $atts['tag'] : '';
	$count   = isset($atts['count']) &&  $atts['count'] !=''? $atts['count'] : '';
	$posts_per_page   = isset($atts['posts_per_page']) && $atts['posts_per_page'] !=''? $atts['posts_per_page'] : '1';
	$order  = isset($atts['order']) ? $atts['order'] : '';
	$orderby  = isset($atts['orderby']) ? $atts['orderby'] : '';
	$meta_key  = isset($atts['meta_key']) ? $atts['meta_key'] : '';
	$meta_value  = isset($atts['meta_value']) ? $atts['meta_value'] : '';
	$slidesshow = isset($atts['slidesshow']) && $atts['slidesshow']!='' ? $atts['slidesshow'] : '7';
	$item_tablet = isset($atts['item_table']) && $atts['item_table']!='' ? $atts['item_table'] : '3';
	
	$slidesscroll =  isset($atts['slidesscroll'])&& $atts['slidesscroll']!='' ? $atts['slidesscroll'] : '3';
	$start_on =  isset($atts['start_on'])&& $atts['start_on']!='' ? $atts['start_on'] : '5';
	$before_today =  isset($atts['before_today'])&& $atts['before_today']!='' ? $atts['before_today'] : '5';
	$after_today =  isset($atts['after_today'])&& $atts['after_today']!='' ? $atts['after_today'] : '10';
	$infinite 		= isset($atts['infinite']) ? $atts['infinite'] : '';
	$fullcontent_in   = isset($atts['fullcontent_in']) ? $atts['fullcontent_in'] : 'collapse';
	$show_image   = isset($atts['show_image']) ? $atts['show_image'] : 'show';
	if ($show_image != 'show') {
		$show_image = 'non';
	}
	$class  = isset($atts['class']) ? $atts['class'] : '';
	$paged = get_query_var('paged')?get_query_var('paged'):(get_query_var('page')?get_query_var('page'):1);
	$date = strtotime(date('Y-m-d'));
	$meta_date = '';
	$meta_date = $date;
	$cats = '';	
	if ($chanel !='') {
		$array_cats = explode(",",$chanel);
		$cats = $array_cats[0];
	}else{
		$terms =get_terms( 'extvs_channel', 'orderby=id&order=DESC&number=1' );
		if ($terms) {
			foreach ( $terms as $term ) {
		  		$cats = $term->slug;
		  	}
		}
	}
	$args = EX_WPTVS_query($posttype, $posts_per_page, $order, $orderby, $cats, $tag, 'extvs_channel', $meta_key, $ids,$meta_date, $meta_value);
	$the_query = new WP_Query( $args );
	ob_start();
	$class = $class." ex-tvs-plug ";
	$class = $class." style-".$style;
	$class = $class." extvs-".$fullcontent_in;
	$class = $class." extvs-".$show_image."-image";
	if ($slidesshow == '1') {
		$item_tablet ='1';
		$class = $class." ex-tvs-slide1 ";
	}
	$extvs_enable_rtl = extvs_get_option('extvs_enable_rtl');
	?>
	<div class="ex-tvs-simple <?php echo esc_attr($class);?>" id ="<?php echo esc_attr($ID);?>" data-slidesshow="<?php echo esc_attr($slidesshow)?>" data-slidesscroll="<?php echo esc_attr($slidesscroll)?>" data-rtl="<?php echo esc_attr($extvs_enable_rtl)?>"  data-start_on="<?php echo esc_attr($start_on)?>" data-item_tablet="<?php echo esc_attr($item_tablet)?>" data-infinite="<?php echo esc_attr($infinite);?>">
		<input type="hidden"  name="ajax_url" value="<?php echo esc_url(admin_url( 'admin-ajax.php' ));?>">
		<input type="hidden" id="param_shortcode" name="param_shortcode" value="<?php echo esc_html(str_replace('\/', '/', json_encode($atts)));?>">
		<input type="hidden"  name="chanel_selected" value="<?php echo esc_attr($cats);?>">
		<div class="ex-chanel-list">
			<?php extvs_channel_select_html($chanel,$style,$cats);?>
		</div>
		<div class="ex-date-list-parent">
			<div class="extvs-prev-bt"><i class="extvs-arrow-prev"></i></div>
        	<div class="ex-date-list-out">
				<div class="ex-date-list owl-carousel owl-theme">
					<?php extvs_date_list_html($before_today,$after_today);?>
				</div>
			</div>
			<div class="extvs-next-bt"><i class="extvs-arrow-next"></i></div>
		</div>
		<?php if ($style == 3) {?>
			<div class="extvs-style3-chanel">
				<div class="extvs-style3-list">
					<?php extvs_channel_select_html($chanel,$style,$cats,true);?>
				</div>
			</div>
		<?php }?>
        <div class="ex-parent-simple">
		<?php
		if ($the_query->have_posts()){ 
			while ($the_query->have_posts()) { $the_query->the_post();
				$options = get_post_meta( get_the_ID(), 'extvs_schedule_addition_data', true );
				global $item_tvs,$cr_pro;
				if(!empty($options)){
					if ($style == '1' || $style ==  '2') {?>
						<table>
							<thead>
								<tr>
									<th class="extvs-table1-image"><?php echo esc_html__('Image','tv-schedule'); ?></th>
									<th class="extvs-table1-time"><?php echo esc_html__('Time','tv-schedule'); ?></th>
									<th class="extvs-table1-programme"><?php echo esc_html__('Programme','tv-schedule'); ?></th>
								</tr>
							</thead>
							<tbody>

					<?php }
					foreach ($options as $item) {
						$item_tvs = $item;
						$cure_time =  strtotime("now");
						$gmt_offset = get_option('gmt_offset');
						if($gmt_offset!=''){
							$cure_time = $cure_time + ($gmt_offset*3600);
						}
						$cr_pro = '';
						$time_start =$item_tvs['_time_start'];
						$time_end = $item_tvs['_time_end'];
						if(($cure_time >= $time_start) && ($cure_time <= $time_end)){
							$cr_pro = 'extvs-cr-progr';
						}
						extvs_template_plugin('simple-'.$style,1);?>
					<?php }
					if ($style == '1' || $style ==  '2') {?>
						</tbody></table>
					<?php }
				}
			}
		}else{
			echo '<p class="ex-notice">'.esc_html__('No matching records found','tv-schedule').'</p>';
		}?>
		</div>
		<?php 
		if ($fullcontent_in == 'modal') {
			if(!isset($tvs_modal_html) || $tvs_modal_html!='on'){
				$tvs_modal_html = 'on';
				echo "<div id='extvs_modal' class='extvs_modal'></div>";
			}
		}
		?>
	</div>
	<?php
	wp_reset_postdata();
	$output_string = ob_get_contents();
	ob_end_clean();
	return $output_string;
}
add_shortcode( 'ex_tvs_simple', 'extvs_shortcode_simple' );
add_action( 'after_setup_theme', 'ex_food_reg_tvs_simple_vc' );
function ex_food_reg_tvs_simple_vc(){
    if(function_exists('vc_map')){
	vc_map( array(
	   "name" => esc_html__("TV Schedule - Simple", "tv-schedule"),
	   "base" => "ex_tvs_simple",
	   "class" => "",
	   "icon" => "icon-grid",
	   "controls" => "full",
	   "category" =>'tv-schedule',
	   "params" => array(
		   array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Style", 'tv-schedule'),
			 "param_name" => "style",
			 "value" => array(
				esc_html__('Classic', 'tv-schedule') => '1',
				esc_html__('Modern', 'tv-schedule') => '2',
				esc_html__('List', 'tv-schedule') => '3',
			 ),
			 "description" => esc_html__('Select style', 'tv-schedule')
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Channel", "tv-schedule"),
			"param_name" => "channel",
			"value" => "",
			"description" => esc_html__("Input channel", 'tvs-schedule'),
		  ),
		  
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number of date before today to show", "tv-schedule"),
			"param_name" => "before_today",
			"value" => "",
			"description" => esc_html__("Enter Number, ex: 3", 'tv-schedule'),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number of date after today to show", "tv-schedule"),
			"param_name" => "after_today",
			"value" => "",
			"description" => esc_html__("Enter Number, ex: 7", 'tv-schedule'),
		  ),
		  array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Order", 'tv-schedule'),
			 "param_name" => "order",
			 "value" => array(
			 	esc_html__('DESC', 'tv-schedule') => 'DESC',
				esc_html__('ASC', 'tv-schedule') => 'ASC',
			 ),
			 "description" => ''
		  ),
		  array(
		  	 "admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Order by", 'tvs-schedule'),
			 "param_name" => "orderby",
			 "value" => array(
			 	esc_html__('Date', 'tv-schedule') => 'date',
				esc_html__('ID', 'tv-schedule') => 'ID',
				esc_html__('Author', 'tv-schedule') => 'author',
			 	esc_html__('Title', 'tv-schedule') => 'title',
				esc_html__('Name', 'tv-schedule') => 'name',
				esc_html__('Modified', 'tv-schedule') => 'modified',
			 	esc_html__('Parent', 'tv-schedule') => 'parent',
				esc_html__('Random', 'tv-schedule') => 'rand',
				esc_html__('Menu order', 'tv-schedule') => 'menu_order',
				esc_html__('Meta value', 'tv-schedule') => 'meta_value',
				esc_html__('Meta value num', 'tv-schedule') => 'meta_value_num',
				
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => ''
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Meta key", "tv-schedule"),
			"param_name" => "meta_key",
			"value" => "",
			"description" => esc_html__("Enter meta key to query", "tv-schedule"),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Meta value", "tv-schedule"),
			"param_name" => "meta_value",
			"value" => "",
			"description" => esc_html__("Enter meta value to query", "tv-schedule"),
		  ),
		  array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Full content", 'tv-schedule'),
			 "param_name" => "fullcontent_in",
			 "value" => array(
				esc_html__('Collapse', 'tv-schedule') => 'collapse',
				esc_html__('Modal', 'tv-schedule') => 'modal',
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => esc_html__('Select Full content of shedule in', 'tv-schedule')
		  ),
		   array(
		  	"admin_label" => true,
			 "type" => "dropdown",
			 "class" => "",
			 "heading" => esc_html__("Show image", 'tv-schedule'),
			 "param_name" => "show_image",
			 "value" => array(
				esc_html__('Show', 'tv-schedule') => 'show',
				esc_html__('None', 'tv-schedule') => 'none',
			 ),
			 "description" => esc_html__('Select Show image', 'tv-schedule')
		  ),
		   array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number date visible in slider", "tv-schedule"),
			"param_name" => "slidesshow",
			"value" => "",
			"description" => esc_html__("Number date visible at a time", 'tv-schedule'),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Number date to scroll", "tv-schedule"),
			"param_name" => "slidesscroll",
			"value" => "",
			"description" => esc_html__("Number of date to scroll at a time", 'tv-schedule'),
		  ),
		  array(
		  	"admin_label" => true,
			"type" => "textfield",
			"heading" => esc_html__("Start slides on date", "tv-schedule"),
			"param_name" => "start_on",
			"value" => "",
			"description" => esc_html__("Enter position of date to display schedule, default is today", 'tv-schedule'),
		  ),
	   )
	));
	}
}